## ros-foxy-aruco-opencv-msgs 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(aruco_opencv_msgs)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/ArucoDetection.msg"
  "msg/BoardPose.msg"
  "msg/MarkerPose.msg"
  DEPENDENCIES std_msgs geometry_msgs
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-aruco-opencv-msgs (1.1.1-1focal) focal; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Thu, 18 May 2023 00:00:00 -0000

ros-foxy-aruco-opencv-msgs (1.1.0-1focal) focal; urgency=high

  * Add board detection (ROS2) (backport #16 <https://github.com/fictionlab/aruco_opencv/issues/16>) (#17 <https://github.com/fictionlab/aruco_opencv/issues/17>)
    * Add BoardPose msg, change MarkerDetection to ArucoDetection
  * Add ament_lint tests to cmakelists instead of github workflows (backport #7 <https://github.com/fictionlab/aruco_opencv/issues/7>) (#9 <https://github.com/fictionlab/aruco_opencv/issues/9>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 22 Feb 2023 00:00:00 -0000

ros-foxy-aruco-opencv-msgs (1.0.1-1focal) focal; urgency=high

  * Fix package dependencies
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 14 Dec 2022 00:00:00 -0000

ros-foxy-aruco-opencv-msgs (1.0.0-1focal) focal; urgency=high

  * Initial port for ROS2 Foxy
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Mon, 12 Dec 2022 00:00:00 -0000

ros-foxy-aruco-opencv-msgs (0.2.0-1focal) focal; urgency=high

  * Move message definitions to aruco_opencv_msgs package (#2 <https://github.com/fictionlab/aruco_opencv/issues/2>)
  * Contributors: Błażej Sowa

 -- Fictionlab <support@fictionlab.pl>  Wed, 07 Sep 2022 00:00:00 -0000

ros-foxy-aruco-opencv-msgs (0.1.0-1focal) focal; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Thu, 07 Jul 2022 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-aruco-opencv-msgs
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-generators, ros-foxy-std-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-aruco-opencv-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-rosidl-default-runtime, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: Message definitions for aruco_opencv package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-aruco-opencv-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
